#include "../../include/types.h"
#include "../../include/error.h"
#include "../../include/pkg.h"

#include <strings.h>
#include <stdlib.h>

lm_pkg_t *lm_pkg_new(){
  lm_pkg_t *pkg = malloc(sizeof(lm_pkg_t));
  bzero(pkg, sizeof(lm_pkg_t));
  return pkg;
}

void lm_pkg_free(lm_pkg_t *pkg){
  free(pkg->desc);
  free(pkg->name);
  free(pkg->version);
  for(int i = 0; pkg->depends[i] != NULL; i++)
    free(pkg->depends[i]);
}
